Name        : mppdec
Version     : r96
Release     : 4%{?dist}
Group       : Applications/Multimedia
Summary     : The 1.15v decoder
License     : LGPLv2
URL         : http://www.musepack.net/
Source      : http://users.zenwalk.org/user-accounts/gapan/musepack-tools/mpptools-r96.tar.bz2
Patch       : no-asm.patch
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: yasm

%description
Musepack is an audio compression format with a strong 
emphasis on high quality. It's not lossless, but it is 
designed for transparency, so that you won't be able 
to hear differences between the original wave file 
and the much smaller MPC file.

It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997 
it has rapidly developed and vastly improved and is now at an 
advanced stage in which it contains heavily optimized and patentless code.

This decoder is compatible with all StreamVersions from 4 to 7. 
You need it if you want to apply ReplayGain on your files or 
just want to decode to record on a CD.

%prep
%setup -q -n mpptools-r96
sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile
%ifarch x86_64
%patch -p1 -b .no-asm
%endif

%build
make mppdec
make replaygain

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 755 mppdec replaygain %{buildroot}%{_bindir}

%clean                                                                            
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README

%{_bindir}/mppdec
%{_bindir}/replaygain

%changelog
* Sun Nov 14 2010 Paulo Roma <roma@lcg.ufrj.br> r96-4
- Using yasm instead of nasm 2.0.9.

* Tue Mar 25 2008 Paulo Roma <roma@lcg.ufrj.br> r96-3
- Compilation LOGFILE no longer goes to /dev/tty.

* Fri Mar 21 2008 Paulo Roma <roma@lcg.ufrj.br> r96-2
- Disabled asm code for x86_64.

* Thu Feb 28 2008 Paulo Roma <roma@lcg.ufrj.br> r96-1
- Initial spec file.

